/*
 * @(#)CloseSession.java
 *
 * This file is part of webCDwriter - Network CD Writing.
 *
 * Copyright (C) 2000-2003 Jörg P. M. Haeger
 *
 * webCDwriter is free software. See CDcreator.java for details.
 */

import javax.swing.*;

/**
 * Run the "closeSession" command.
 *
 * @version 20030514
 * @author Jörg P. M. Haeger
 */
public class CloseSession extends Command {
	public void run() {
		showDialog(new JOptionPane(i18n("closeSession"),
			JOptionPane.INFORMATION_MESSAGE,
			JOptionPane.DEFAULT_OPTION,
			null, cancelOption).createDialog(
			CDcreator.mainWin, i18n("titleCloseSession")));

		execCommand("closeSession");

		hideDialog();
		super.run();
	}
}
